<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Receipts</title>
</head>
<body>
    <header>
        <nav>
            <ul>
        {% if user.is_authenticated %}
            Hello, {{user.username}}
            <li><a href = "{% url "create_receipt" %}">Create a New Receipt</a></li>
            <li><a href = "{% url "create_account" %}">Create a New Account</a></li>
            <li><a href = "{% url "create_category" %}">Create a New Category</a></li>
            <li><a href = "{% url "home" %}"> Home Page</a></li>
            <li><a href = "{% url "account_list" %}">Account List</a></li>
            <li><a href = "{% url "category_list" %}">Category List</a></li>
            <li><a href = "{% url "logout" %}">Logout</a></li>
        {% else %}
            <li><a href = "{% url "signup" %}">Sign Up</a></li>
            <li><a href = "{% url "login" %}">Login</a></li>
        {% endif %}
            </ul>
        </nav>
    </header>
    <main>
        <h1>My Receipts</h1>
        <table>
            <thead>
                <tr>
                    <th>Vendor</th> <!--1 name-->
                    <th>Total</th> <!--2-->
                    <th>Tax</th> <!--3-->
                    <th>Date</th> <!--4 m/d/YY-->
                    <th>Category</th> <!--5-->
                    <th>Account</th> <!--6-->
                </tr>
            </thead>
            <tbody>
                {% for data in receipts %}
                    <tr>
                        <td>{{data.vendor}}</td>
                        <td>{{data.total}}</td>
                        <td>{{data.tax}}</td>
                        <td>{{data.date|date:"m/d/y"}}</td>
                        <td>{{data.category.name}}</td>
                        <td>{{data.account.name}}</td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </main>
</body>
</html>